Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I have to use tikz graphics with my PDF file, written in MiKTeX 2.8 LaTeX.

When I write \usepackage{tikz} with \usepackage{devanagari}, LaTeX produces an error

l.264
      catcode '\"=12
share|improve this question
add comment

1 Answer

The loading order is important: load tikz before devanagari, not the other way round. This example works with pdfLaTeX:

\documentclass[12pt]{article}
\usepackage{tikz}
\usepackage{devanagari}
\begin{document}
Here is devanagari:
{\dn calo devanagarI me likhate hai}
\end{document}

If you change the order of tikz and devanagari in this example, you would get the mentioned error

l.264   
       \catcode`\"=12

Btw. XeLaTeX is useful for writing Devanagari, perhaps have look at

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.